@import "vars";

:root {
    --tile-width: 300px;
    --tile-height: 300px;

    --tile-head-height-ratio: 20%;
}

#report {
    > div.report-content {
        display: flex;
        flex-flow: column;
        gap: 1rem;

        padding: 1rem;

        > div.report-row {
            display: flex;
            gap: 1rem;

            width: fit-content;
            margin-right: auto;
        }
    }

    div.report-tile {
        width: var(--tile-width);
        height: var(--tile-height);

        box-sizing: border-box;

        border: 1px solid black;
        border-radius: 8px;
        overflow: hidden;

        > * {
            box-sizing: border-box;
        }

        > div.tile-head {
            height: var(--tile-head-height-ratio);
            border-bottom: 1px solid black;

            position: relative;

            > h4 {
                @include centered;

                font-family: "Varela Round", serif;
                font-size: 20px;
            }

            > .report-tile-tools {
                list-style: none;
                position: absolute;
                width: fit-content;
                padding: 10px;
                margin: 0;
                margin-right: 10px;
                height: calc(100% - 20px);
                right: 0;

                @media (pointer: fine) {
                    opacity: 0;
                }

                transition: opacity 0.3s ease;

                display: flex;
                align-items: center;
                justify-content: center;

                > .report-tile-tool {
                    $toolSize: 25px;

                    border-radius: 4px;

                    @media (pointer: fine) {
                        opacity: 0.5;
                    }

                    &[tool-id="edit"] {
                        width: $toolSize;
                        height: $toolSize;
                        background-image: url("/res/img/tool_edit.png");
                        background-repeat: no-repeat;
                        background-size: $toolSize $toolSize;
                    }

                    &:hover {
                        cursor: pointer;
                        opacity: 1;
                    }
                }

                &:hover {
                    opacity: 1;
                }
            }
        }

        > div.tile-body {
            height: calc(100% - var(--tile-head-height-ratio));

            position: relative;

            > a {
                &[report-field-type="number"],
                &[report-field-type="text"] {
                    @include centered;
                }
            }

            > table {
                width: 100%;
                height: calc(100% - 1px);

                table-layout: fixed;

                border-collapse: collapse;

                td, th {
                    border: 1px solid black;
                    padding: 10px;

                    @include textOverflow(ellipsis);
                }

                tr {width: 200px}

                td:first-child,
                th:first-child {
                    border-left: none;
                }

                td:last-child,
                th:last-child {
                    border-right: none;
                }

                tr:first-child {
                    & > th,
                    & > td {
                        border-top: none;
                    }
                }

                tbody > tr:last-child,
                tfoot > tr:last-child {
                    & > th,
                    & > td {
                        border-bottom: none;
                    }
                }
            }

            & [report-field-type="number"],
            & [report-field-type="currency"] {
                &:not(th) {
                    text-align: right;
                }
            }

            & [report-field-type="text"]:not(th) {
                text-align: left;
            }

            & [report-field-type="currency"]:after {
                content: " €";
            }
        }
    }

    > .report-error {
        @include centered;

        font-family: 'Segoe UI', Tahoma, sans-serif;

        > * {
            text-align: center;

            &[error-pos="sub"] {
                color: grey;
            }
        }
    }
}